\documentclass{standalone}

\usepackage{tikz}
\input{couleur.sty}

\begin{document}
\begin{tikzpicture}[line cap=round,line join=round,x=1cm,y=1cm]
\draw [color=Gris3, xstep=1cm,ystep=1cm] (-8.15,-3.15) grid (3.15,6.15);
\clip(-8.15,-3.15) rectangle (3.15,6.15);
\fill[line width=1.5pt,color=J3,fill=J3] (-7,2) -- (-5,2) -- (-5,4) -- (-6,6) -- (-7,4) -- cycle;
\fill[line width=1.5pt,color=F3,fill=F3] (1,4) -- (-1,4) -- (-1,2) -- (0,0) -- (1,2) -- cycle;
\fill[line width=1.5pt,color=C3,fill=C3] (-2,1) -- (-4,1) -- (-4,-1) -- (-3,-3) -- (-2,-1) -- cycle;
\fill[line width=1.5pt,color=B3,fill=B3] (-5,1) -- (-6,1) -- (-6,0) -- (-5.5,-1) -- (-5,0) -- cycle;
\draw [line width=1.5pt,color=J2] (-7,2)-- (-5,2);
\draw [line width=1.5pt,color=J2] (-5,2)-- (-5,4);
\draw [line width=1.5pt,color=J2] (-5,4)-- (-6,6);
\draw [line width=1.5pt,color=J2] (-6,6)-- (-7,4);
\draw [line width=1.5pt,color=J2] (-7,4)-- (-7,2);
\draw [line width=1.5pt,color=F2] (1,4)-- (-1,4);
\draw [line width=1.5pt,color=F2] (-1,4)-- (-1,2);
\draw [line width=1.5pt,color=F2] (-1,2)-- (0,0);
\draw [line width=1.5pt,color=F2] (0,0)-- (1,2);
\draw [line width=1.5pt,color=F2] (1,2)-- (1,4);
\draw [->,line width=1.5pt] (3,1) -- (0,-2);
\draw [line width=1.5pt,color=C2] (-2,1)-- (-4,1);
\draw [line width=1.5pt,color=C2] (-4,1)-- (-4,-1);
\draw [line width=1.5pt,color=C2] (-4,-1)-- (-3,-3);
\draw [line width=1.5pt,color=C2] (-3,-3)-- (-2,-1);
\draw [line width=1.5pt,color=C2] (-2,-1)-- (-2,1);
\draw [line width=1.5pt,color=B2] (-5,1)-- (-6,1);
\draw [line width=1.5pt,color=B2] (-6,1)-- (-6,0);
\draw [line width=1.5pt,color=B2] (-6,0)-- (-5.5,-1);
\draw [line width=1.5pt,color=B2] (-5.5,-1)-- (-5,0);
\draw [line width=1.5pt,color=B2] (-5,0)-- (-5,1);
\draw (0.75,0.5) node[anchor=north west] {\huge{$\overrightarrow{u}$}};
\draw (-6.5,4) node[anchor=north west] {\huge{$P_1$}};
\draw (-6,1) node[anchor=north west] {\huge{$P_4$}};
\draw (-3.5,0.5) node[anchor=north west] {\huge{$P_3 $}};
\draw (-0.5,3.5) node[anchor=north west] {\huge{$P_2$}};
\draw [fill=black] (-3,3) circle (2.5pt);
\draw[color=black] (-2.76,3.65) node {\Large{A}};
\draw [fill=black] (-8,1) circle (2.5pt);
\draw[color=black] (-7.76,1.65) node {\Large{B}};
\end{tikzpicture}
\end{document}